Unverified Commit e596732b authored by Georg Koppen's avatar Georg Koppen
Browse files

Bug 40061: Remove Android SDK 28

parent e913b103
......@@ -38,8 +38,9 @@ unzip -qq $HOME/[% c("input_files_by_name/build_tools") %] -d $SDK_HOME
mkdir -p build-tools/[% c("version") %]
mv $android_release_dir/* build-tools/[% c("version") %]
# Fenix has not updated to build-tools 29 yet, bundle therefore build-tools 28,
# too.
# Apart from GeckoView all other projects do still need build-tools 28.0.3 as
# they are using the Gradle plugin 3.2.1 - 3.6.0 without specifying
# `buildToolsVersion`.
unzip -qq $HOME/[% c("input_files_by_name/build_tools_old") %] -d $SDK_HOME
mkdir -p build-tools/[% c("version_old") %]
mv $android_release_dir_old/* build-tools/[% c("version_old") %]
......@@ -48,11 +49,6 @@ unzip -qq $HOME/[% c("input_files_by_name/platform") %] -d $SDK_HOME
mkdir -p platforms/android-[% c("var/android_api_level") %]
mv $android_release_dir/* platforms/android-[% c("var/android_api_level") %]
# Fenix has not updated to Android 29 yet, bundle therefore Android 28, too.
unzip -qq $HOME/[% c("input_files_by_name/platform_old") %] -d $SDK_HOME
mkdir -p platforms/android-[% c("var/android_api_level_old") %]
mv $android_release_dir_old/* platforms/android-[% c("var/android_api_level_old") %]
unzip -qq $HOME/[% c("input_files_by_name/platform_tools") %] -d $SDK_HOME
# That's a quirk required by GeckoView but let's have it here instead of in the
......
# vim: filetype=yaml sw=2
filename: '[% project %]-[% c("version") %]-[% c("version_old") %]-[% c("var/build_id") %].tar.gz'
filename: '[% project %]-[% c("version") %]-[% c("var/build_id") %].tar.gz'
version: 29.0.3
version_old: 28.0.3
var:
......@@ -22,7 +22,6 @@ var:
export PATH=$PATH:$ANDROID_NDK_HOME/toolchains/llvm/prebuilt/linux-x86_64/bin:$GRADLE_HOME/gradle-[% c("var/gradle_version") %]/bin
google_repo: https://dl.google.com/android/repository
android_api_level: 29
android_api_level_old: 28
android_platform_revision: 04
android_ndk_version: 21
android_ndk_version_old: 20
......@@ -41,9 +40,6 @@ input_files:
- URL: '[% c("var/google_repo") %]/platform-[% c("var/android_api_level") %]_r[% c("var/android_platform_revision") %].zip'
name: platform
sha256sum: c9eaf2ce4e8fa6f5a8036bd3c95363d003733bf0a1bd349718cadf802db44c69
- URL: '[% c("var/google_repo") %]/platform-[% c("var/android_api_level_old") %]_r[% c("var/android_platform_revision") %].zip'
name: platform_old
sha256sum: 967f8ca99b71d337aa9c7781f9d65dd8110bf5c4746f44304047bf71b20d0ded
# ./mach bootstrap is fetching the latest version, so it does not seem to
# matter which particular version we are using. Pin to the one fitting best to
# SDK version/build-tools version.
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment